Update a webhook
Changes the URL or events, or disables the endpoint without deleting it.
PATCH
https://api.clicklookup.com/v1/webhooks/{webhook_id}Requires an API key
Path parameters1
webhook_idstring · uuidrequired
Request body3
enabledbooleannullableWhether the item is active.
eventsarray of enumsnullableEvents that trigger a delivery.
urlstring · urlnullableAbsolute http(s) URL
Response · 2007
createdAtstring · date-timerequiredISO-8601 timestamp with offset
enabledbooleanrequiredWhether the item is active.
eventsarray of enumsrequiredEvents that trigger a delivery.
idstring · uuidrequiredUUID primary key
updatedAtstring · date-timerequiredISO-8601 timestamp with offset
urlstring · urlrequiredAbsolute http(s) URL
workspaceIdstring · uuidrequiredUUID primary key